summarylogtreecommitdiffstats
path: root/ntrack.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-05 16:56:41 +0800
committerzxp198210052024-02-05 16:56:41 +0800
commite8975de65d7fc2e011fb4b4af181dd33c86fdf18 (patch)
treedddee23b231db1eab7deb47d077e3fa51c00a64b /ntrack.sh
parentfa39cc2d77ab4347eeb25447796f2a65e9c2653e (diff)
downloadaur-e8975de65d7fc2e011fb4b4af181dd33c86fdf18.tar.gz
fix errors
Diffstat (limited to 'ntrack.sh')
-rw-r--r--ntrack.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/ntrack.sh b/ntrack.sh
index c77c53567639..f9ced1432cfc 100644
--- a/ntrack.sh
+++ b/ntrack.sh
@@ -1,17 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
+cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" "$@"
- exit
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
- exit
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file